<h1 xmlns:th="http://www.thymeleaf.org" th:text="${code}"></h1>
<table xmlns:th="http://www.thymeleaf.org" class="table">
    <tbody>
        <th:block th:each="spec : ${specs}">
            <th:block th:each="grp : ${spec.groups}">
                <tr th:attr="data-spec-id=${spec.id}, data-group-id=${grp.id}" style="cursor: pointer">
                    <th colspan="2" th:text="${spec.id + '.' + grp.id}"></th>
                </tr>
                <tr th:each="data : ${grp.data}">
                    <td th:text="${data.id}"></td>
                    <td th:text="${data.value}"></td>
                </tr>
            </th:block>
        </th:block>
    </tbody>
</table>
